aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/osmocom-latest-packages.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/osmocom-latest-packages.sh')
-rwxr-xr-xscripts/osmocom-latest-packages.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/osmocom-latest-packages.sh b/scripts/osmocom-latest-packages.sh
index bcc83de..bf20cfe 100755
--- a/scripts/osmocom-latest-packages.sh
+++ b/scripts/osmocom-latest-packages.sh
@@ -11,6 +11,11 @@ PROJ=network:osmocom:latest
DT=$(date +%Y%m%d)
TOP=$(pwd)
+if ! which osc >/dev/null 2>/dev/null ; then
+ echo "osc binary not found"
+ exit 1
+fi
+
# start with a checkout of the project
if [ -d $PROJ ]; then
(cd $PROJ && osc up)